[filename,pathname] = uigetfile( ...
{'*.wav', 'Zvukové soubory (*.wav)';
'*.wav', 'Wave (*.wav)';...
'*.*', 'Vsechny soubory (*.*)'},...
'Vyber soubor');
[pathstr,name,ext,versn] = fileparts(filename);   
[x,fvz]=wavread(fullfile(pathname,filename));
dB = input('Zadejte odstup signál-šum [dB]: ');
y = awgn(x,dB,'measured'); 
y=y./max(y);
[save_file,save_path] = uiputfile('*.wav','Uložit jako',[name,'_awgn_',num2str(dB),'dB']);
savefile = [ save_path,save_file];
wavwrite(y,fvz,savefile); 
